# Class HealpixBase.Xyf

java.lang.Object
healpix.essentials.HealpixBase.Xyf

Enclosing class:
  `HealpixBase`

protected final class HealpixBase.Xyf extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`face`
`int`
`ix`
`int`
`iy`

## Constructor Summary

Constructors
Constructor
Description
`Xyf()`
`Xyf(int x, int y, int f)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ix

public int ix

### iy

public int iy

### face

public int face

## Constructor Details

### Xyf

public Xyf()

### Xyf

public Xyf(int x, int y, int f)